be.fgov.ehealth.rn.baselegaldata.v1

## Class NationalityInfoWithSourceType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.NationalityInfoBaseType
  - - be.fgov.ehealth.rn.baselegaldata.v1.NationalityInfoWithSourceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:12+01:00",
                 comments="JAXB RI v2.3.7")
      public class NationalityInfoWithSourceType
      extends NationalityInfoBaseType
      implements Serializable

  Java class for NationalityInfoWithSourceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NationalityInfoWithSourceType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalityInfoBaseType">
             <attribute name="Source" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SourceType" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NationalityInfoWithSourceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSource()` Gets the value of the source property.
    `void` | `setSource(String value)` Sets the value of the source property.

    - ### Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.NationalityInfoBaseType

      `getInceptionDate, getNationalityCode, getNationalityDescriptions, setInceptionDate, setNationalityCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NationalityInfoWithSourceType

          public NationalityInfoWithSourceType()

  - ### Method Detail

    - #### getSource

          public String getSource()

      Gets the value of the source property.
      Returns:
        possible object is `String`

    - #### setSource

          public void setSource(String value)

      Sets the value of the source property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.